import { doFetch } from "@/utils/doFetch";

function getcolumns(setdrawer) {
  return [
    {
      tab: "未完成",
      key: "1",
      columns: [
        {
          title: "移库单号",
          dataIndex: "moveStoreNo",
          key: "moveStoreNo",
          formItemProps: {
            rules: [{ required: true, message: "此项为必填项" }],
          },
          render: (_, row) => {
            return (
              <a
                className="table-cell"
                onClick={async () => {
                  const detailData = await doFetch({
                    url: "/ta_wms_workmanship/pmMoveStore/queryById",
                    params: { id: row?.id },
                  });
                  setdrawer((s) => {
                    return {
                      ...s,
                      open: true,
                      title: `${row.moveStoreNo}详情`,
                      val: "detailaddon",
                      detailData: detailData?.data?.data ?? {},
                      fields: [
                        { title: "基本信息", valueType: "split" },
                        {
                          title: "移库单号",
                          dataIndex: "moveStoreNo",
                        },
                        {
                          title: "单据类型",
                          dataIndex: "documentTypeName",
                        },
                        {
                          title: "来源仓库",
                          dataIndex: "storeName",
                        },
                        {
                          title: "工单状态",
                          dataIndex: "statusName",
                        },
                        {
                          title: "备注",
                          dataIndex: "remarks",
                        },
                        {
                          title: "创建人",
                          dataIndex: "createUserName",
                        },
                        {
                          title: "创建时间",
                          dataIndex: "createTime",
                        },
                        {
                          title: "完成时间",
                          dataIndex: "finishTime",
                        },
                      ],
                      item: row,
                    };
                  });
                }}
              >
                {row.moveStoreNo}
              </a>
            );
          },
        },
        {
          title: "单据类型",
          dataIndex: "documentTypeName",
          key: "documentType",
          hideInSearch: true,
          valueType: "select",
          options: [
            {
              value: "0",
              label: "来料退料单",
            },
            {
              value: "1",
              label: "生产叫料单",
            },
            {
              value: "2",
              label: "生产退料单",
            },
            {
              value: "4",
              label: "检验出库单",
            },
            {
              value: "5",
              label: "来料退料单",
            },
          ],
        },
        {
          title: "仓库",
          dataIndex: "storeName",
          hideInSearch: true,
          key: "storeName",
          fieldProps: {
            placeholder: "请选择",
          },
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
        },
        {
          title: "备注",
          dataIndex: "remarks",
          hideInSearch: true,
          key: "remarks",
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          span: 3,
        },
        {
          title: "创建人",
          dataIndex: "createUserName",
          key: "createUserName",
          hideInSearch: true,
        },
        {
          title: "创建时间",
          dataIndex: "createTime",
          key: "createTimeList",
          valueType:'dateRange',
        },
        {
          title: "状态",
          dataIndex: "statusName",
          key: "statusName",
          hideInSearch: true,
        },
      ],
      pathconfig: {
        enableadd: true,
        add: "/pengli-quality/iqcTask/save",
        list: "/ta_wms_workmanship/pmMoveStore/queryList",
        detail: "/ta_wms_workmanship/pmMaterialApply/queryById",
      },
    },
    {
      tab: "已完成",
      key: "2",
      columns: [
        {
          title: "移库单号",
          dataIndex: "moveStoreNo",
          key: "moveStoreNo",
          formItemProps: {
            rules: [{ required: true, message: "此项为必填项" }],
          },
          render: (_, row) => {
            return (
              <a
                className="table-cell"
                onClick={async () => {
                  const detailData = await doFetch({
                    url: "/ta_wms_workmanship/pmMoveStoreHis/queryById",
                    params: { id: row?.id },
                  });
                  setdrawer((s) => {
                    return {
                      ...s,
                      open: true,
                      title: `${row.moveStoreNo}详情`,
                      val: "detailaddon",
                      detailData: detailData?.data?.data ?? {},
                      fields: [
                        { title: "基本信息", valueType: "split" },
                        {
                          title: "移库单号",
                          dataIndex: "moveStoreNo",
                        },
                        {
                          title: "单据类型",
                          dataIndex: "documentTypeName",
                        },
                        {
                          title: "来源仓库",
                          dataIndex: "storeName",
                        },
                        {
                          title: "工单状态",
                          dataIndex: "statusName",
                        },
                        {
                          title: "备注",
                          dataIndex: "remarks",
                        },
                        {
                          title: "创建人",
                          dataIndex: "createUserName",
                        },
                        {
                          title: "创建时间",
                          dataIndex: "createTime",
                        },
                        {
                          title: "完成时间",
                          dataIndex: "finishTime",
                        },
                      ],
                      item: row,
                    };
                  });
                }}
              >
                {row.moveStoreNo}
              </a>
            );
          },
        },
        {
          title: "单据类型",
          dataIndex: "documentTypeName",
          key: "documentType",
          valueType: "select",
          options: [
            {
              value: "0",
              label: "来料退料单",
            },
            {
              value: "1",
              label: "生产叫料单",
            },
            {
              value: "2",
              label: "生产退料单",
            },
            {
              value: "4",
              label: "检验出库单",
            },
            {
              value: "5",
              label: "来料退料单",
            },
          ],
          hideInSearch: true,
        },
        {
          title: "仓库",
          dataIndex: "storeName",
          key: "storeName",
          hideInSearch: true,
          fieldProps: {
            placeholder: "请选择",
          },
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
        },
        {
          title: "备注",
          dataIndex: "remarks",
          hideInSearch: true,
          key: "remarks",
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          span: 3,
        },
        {
          title: "创建人",
          dataIndex: "createUserName",
          key: "createUserName",
          hideInSearch: true,
        },
        {
          title: "创建时间",
          dataIndex: "createTime",
          key: "createTimeList",
          valueType: 'dateRange',
          hideInSearch: true,
          
        },
        {
          title: "完成时间",
          dataIndex: "finishTime",
          key: "finishTimeList",
          valueType: 'dateRange',
        },
        {
          title: "状态",
          dataIndex: "statusName",
          key: "statusName",
          hideInSearch: true,
        },
      ],
      pathconfig: {
        enableadd: true,
        add: "/pengli-quality/iqcTask/save",
        edit: "/pengli-quality/iqcTask/save",
        list: "/ta_wms_workmanship/pmMoveStoreHis/queryList",
        detail: "/ta_wms_workmanship/pmMaterialApplyHis/queryById",
      },
    },
  ];
}

export default getcolumns;
